## org.exist.util.serializer
Class ReceiverToSAX

    java.lang.Object
      org.exist.util.serializer.ReceiverToSAX

All Implemented Interfaces:
  Receiver

public class ReceiverToSAX
extends java.lang.Object
implements Receiver

A wrapper class that forwards the method calls defined in the `Receiver` interface to a SAX content handler and lexical handler.

Author:
  wolf

Constructor Summary
`ReceiverToSAX(org.xml.sax.ContentHandler handler)`

Method Summary
`void` `attribute(QName qname, java.lang.String value)`
`void` `cdataSection(char[] ch, int start, int len)`
`void` `characters(java.lang.CharSequence seq)`
`void` `comment(char[] ch, int start, int length)`
`void` `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` `endDocument()`
`void` `endElement(QName qname)`
`void` `endPrefixMapping(java.lang.String prefix)`
`org.xml.sax.ContentHandler` `getContentHandler()`
`org.xml.sax.ext.LexicalHandler` `getLexicalHandler()`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`void` `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)`
`void` `startDocument()`
`void` `startElement(QName qname, AttrList attribs)`
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String namespaceURI)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiverToSAX

    public ReceiverToSAX(org.xml.sax.ContentHandler handler)

Method Detail

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String namespaceURI)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(QName qname,
                             AttrList attribs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(QName qname)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(java.lang.CharSequence seq)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### attribute

    public void attribute(QName qname,
                          java.lang.String value)
                   throws org.xml.sax.SAXException

  Specified by:
    `attribute` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### cdataSection

    public void cdataSection(char[] ch,
                             int start,
                             int len)
                      throws org.xml.sax.SAXException

  Specified by:
    `cdataSection` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `documentType` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

Copyright (C) Wolfgang Meier. All rights reserved.